-- 基础信息
base_info = {
	group_id = 250033001
}

-- Trigger变量
defs = {
	group_id = 250033001,
	challange_group_id = 250033017,
	monster_points = 1,
	max_points = 100,
	gear_list = {70350107,70350099,70350100,70350101,70350102,70350103},
	option_list = {41,42,43,44,45},
	option_points = {20,20,20,20,20},
	fundation_id = 70350145
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 1022, gadget_id = 70350145, pos = { x = 101.021, y = -9.670, z = -48.757 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 1023, gadget_id = 70350145, pos = { x = 101.109, y = -9.635, z = -26.703 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 1025, gadget_id = 70350145, pos = { x = 101.060, y = -9.635, z = -11.095 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 1026, gadget_id = 70350145, pos = { x = 102.612, y = -9.632, z = 4.754 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 1028, gadget_id = 70350145, pos = { x = 102.543, y = -9.634, z = 13.629 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 1031, gadget_id = 70350145, pos = { x = 111.736, y = -9.670, z = -34.222 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, level = 1 },
	{ config_id = 1032, gadget_id = 70350145, pos = { x = 111.736, y = -9.644, z = -19.222 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, level = 1 },
	{ config_id = 1034, gadget_id = 70350145, pos = { x = 111.736, y = -9.635, z = -4.222 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, level = 1 },
	{ config_id = 1036, gadget_id = 70350145, pos = { x = 100.953, y = -9.631, z = -4.264 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, level = 1 },
	{ config_id = 1038, gadget_id = 70350145, pos = { x = 129.884, y = -9.780, z = 0.853 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 1039, gadget_id = 70350145, pos = { x = 110.846, y = -9.634, z = 13.692 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 1040, gadget_id = 70350145, pos = { x = 130.124, y = -9.764, z = 8.966 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 1042, gadget_id = 70350145, pos = { x = 118.867, y = -9.782, z = 10.225 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 1043, gadget_id = 70350145, pos = { x = 131.049, y = -13.397, z = -18.560 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 1044, gadget_id = 70350145, pos = { x = 111.736, y = -9.633, z = -11.722 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 1045, gadget_id = 70350145, pos = { x = 140.579, y = -9.809, z = 5.797 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, level = 1 },
	{ config_id = 1047, gadget_id = 70350145, pos = { x = 101.041, y = -9.634, z = -19.119 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, level = 1 },
	{ config_id = 1048, gadget_id = 70350145, pos = { x = 141.644, y = -13.393, z = -18.843 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, level = 1 },
	{ config_id = 1049, gadget_id = 70350145, pos = { x = 111.736, y = -9.634, z = -26.722 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 1050, gadget_id = 70350145, pos = { x = 73.113, y = -9.509, z = -35.490 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 1051, gadget_id = 70350145, pos = { x = 93.820, y = -9.636, z = -33.189 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 1052, gadget_id = 70350145, pos = { x = 72.381, y = -13.376, z = -11.069 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 1054, gadget_id = 70350145, pos = { x = 82.384, y = -13.376, z = -11.069 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, level = 1 },
	{ config_id = 1056, gadget_id = 70350145, pos = { x = 85.289, y = -9.636, z = -41.075 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 1001, pos = { x = 101.021, y = -9.670, z = -48.757 }, rot = { x = 0.000, y = 93.046, z = 0.000 } },
	{ config_id = 1002, pos = { x = 101.109, y = -9.635, z = -26.703 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 1003, pos = { x = 101.060, y = -9.635, z = -11.095 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 1004, pos = { x = 102.612, y = -9.632, z = 4.754 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 1005, pos = { x = 102.543, y = -9.634, z = 13.629 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 1006, pos = { x = 111.736, y = -9.665, z = -34.222 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 1007, pos = { x = 111.736, y = -9.650, z = -19.222 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 1008, pos = { x = 111.736, y = -9.665, z = -4.222 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 1009, pos = { x = 100.953, y = -9.631, z = -4.264 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 1010, pos = { x = 129.884, y = -9.780, z = 0.853 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 1011, pos = { x = 110.846, y = -9.634, z = 13.691 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 1012, pos = { x = 130.124, y = -9.764, z = 8.966 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 1014, pos = { x = 118.867, y = -9.782, z = 10.225 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 1015, pos = { x = 131.049, y = -13.397, z = -18.560 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 1016, pos = { x = 111.736, y = -9.633, z = -11.722 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 1017, pos = { x = 140.579, y = -9.661, z = 5.797 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 1019, pos = { x = 101.041, y = -9.634, z = -19.119 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 1020, pos = { x = 141.645, y = -13.393, z = -18.843 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 1021, pos = { x = 111.736, y = -9.691, z = -26.722 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 1024, pos = { x = 73.113, y = -9.666, z = -35.490 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 1027, pos = { x = 93.820, y = -9.636, z = -33.189 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 1029, pos = { x = 72.381, y = -13.636, z = -11.069 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 1033, pos = { x = 82.384, y = -13.624, z = -11.069 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 1037, pos = { x = 85.289, y = -9.666, z = -41.075 }, rot = { x = 0.000, y = 0.000, z = 0.000 } }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "TowerDefense_Gear"
